#!/usr/bin/perl

use Test::More tests => 3;

use FindBin qw($Bin);
use lib "$Bin/lib", "$Bin/../lib";
use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";
use strict;
use Opsview;
use Opsview::Servicegroup;
use Opsview::Test;
use Opsview::TestCGI;

my $sth;
my $dbh = Opsview->db_Main;
ok( defined $dbh, "Connect to db" );

my $rc;

$rc = post("type=servicegroup action=new name=sg$$");
cmp_ok( $rc, '==', 0, "Added new servicegroup" );

# Name does not have to be unique - not sure if this is a requirement
#$rc = post("type=servicegroup action=new name=sg$$");
#cmp_ok( $rc, '!=', 0, "Added same servicegroup name");

my $sg_id = $dbh->selectrow_array("SELECT id FROM servicegroups WHERE name='sg$$'");
$rc = post("type=servicegroup action=edit id=$sg_id name=sg-changed$$");
cmp_ok( $rc, '==', 0, "Name changed" );
