#!/usr/bin/perl
# Test configurehosts functionality

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;


use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use lib "$Bin/lib";
use Opsview::TestUtils;

my $somehosts = Test::WWW::Mechanize::Catalyst->new;
log_in( $somehosts, 'somehosts', 'somehosts' );


$somehosts->get_ok("/admin/host");
my $content = $somehosts->content;
my $number_of_rows = grep /"Edit /, split("\n", $content);

is( $number_of_rows, 5, "Only 4 hosts" );
$somehosts->follow_link( text => "toclone" );
$somehosts->title_is( "Opsview > Host > Edit: toclone" );
$somehosts->form_name( "main_form" );
$somehosts->submit_form;

is( $somehosts->status, 200, "Can submit changes for host" );
$somehosts->content_lacks( "Access Denied" );


my $demo = Test::WWW::Mechanize::Catalyst->new;
log_in( $demo, "demo", "demo" );

$demo->get_ok("/admin/host");
$content = $demo->content;
$number_of_rows = grep /"Edit /, split("\n", $content);
is( $number_of_rows, 24, "All hosts" );
$demo->follow_link( text => "toclone" );
$demo->form_name( "main_form" );
$demo->submit_form;

is( $demo->status, 403, "Disallowed from submitting" );
$demo->content_contains("Access Denied" );


my $adminnoc = Test::WWW::Mechanize::Catalyst->new();
log_in( $adminnoc, "adminnoc", "adminnoc" );

$adminnoc->get_ok("/admin/hosttemplate");
$adminnoc->follow_link( text => "Network - Base" );
$adminnoc->title_is( "Opsview > Host Template > Edit: Network - Base" );
$adminnoc->form_name( "main_form" );
$adminnoc->submit_form;

is( $adminnoc->status, 200 );
$adminnoc->content_lacks( "Access Denied" );

