#!/usr/bin/perl

use strict;
use warnings;

use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib '/usr/local/nagios/lib';
use lib '/usr/local/nagios/etc';
use lib '/usr/local/nagios/t/lib';

use Test::More;

plan tests => 6;

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

note('Testing cmd.cgi links are redirected correctly')
    if ( $ENV{TEST_VERBOSE} );

my $mech = Test::WWW::Mechanize::Catalyst->new;

$mech->get_ok('http://localhost/cgi-bin/cmd.cgi?cmd_typ=56&host=monitored_by_slave&service=%2F');
$mech->content_like( qr/login_username/, "Login page" );
$mech->form_name('login_form');
$mech->field( 'login_username' => "admin" );
$mech->field( 'login_password' => "initial" );
$mech->field( "noscript"       => 0 );
$mech->click('login');

$mech->content_like(qr/Schedule Downtime/);

$mech->get_ok('http://localhost/cgi-bin/cmd.cgi?cmd_typ=30&host=monitored_by_slave&service=%2F');
$mech->content_like(qr/Submit Check Result/);
$mech->content_like(qr!/ on monitored_by_slave!);
